/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 02/11/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MapObjekModulToKelompokUserDto {

	@NotNull(message = "MapObjekModulToKelompokUserDto.kdkelompokuser.notnull")
	private Integer kdKelompokUser;

	@NotNull(message = "MapObjekModulToKelompokUserDto.kdobjekmodulaplikasi.notnull")
	private String kdObjekModulAplikasi;
	
	@NotNull(message = "MapObjekModulToKelompokUserDto.kdmodulaplikasi.notnull")
	private String kdModulAplikasi;
	
	@NotNull(message = "MapObjekModulToKelompokUserDto.kdVersion.notnull")
	private Integer kdVersion;

	//@NotNull(message = "MapObjekModulToKelompokUserDto.simpan.notnull")
	private Integer simpan;

	//@NotNull(message = "MapObjekModulToKelompokUserDto.hapus.notnull")
	private Integer hapus;

	//@NotNull(message = "MapObjekModulToKelompokUserDto.ubah.notnull")
	private Integer ubah;

	//@NotNull(message = "MapObjekModulToKelompokUserDto.cetak.notnull")
	private Integer cetak;

	//@NotNull(message = "MapObjekModulToKelompokUserDto.tampil.notnull")
	private Integer tampil;

	@NotNull(message = "mapobjekmodultokelompokuser.statusenabled.notnull")
	private Boolean statusEnabled; 

}
